From 27fbebc06378c97b9918e899564532146d618558 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Tue, 30 May 2023 08:27:56 -0400
Subject: [PATCH 1/5] Update DECLARE_INDEX documentation

should have been updated in 6a6389a08b
---
 src/include/catalog/genbki.h | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

diff --git a/src/include/catalog/genbki.h b/src/include/catalog/genbki.h
index 50518cbbf5..c42ba0cea5 100644
--- a/src/include/catalog/genbki.h
+++ b/src/include/catalog/genbki.h
@@ -71,12 +71,13 @@
  * DECLARE_UNIQUE_INDEX_PKEY.  ("PKEY" marks the index as being the catalog's
  * primary key; currently this is only cosmetically different from a regular
  * unique index.  By convention, we usually make a catalog's OID column its
- * pkey, if it has one.)  The first two arguments are the index's name and
- * OID, the rest is much like a standard 'create index' SQL command.
+ * pkey, if it has one.)
  *
- * For each index, we also provide a #define for its OID.  References to
- * the index in the C code should always use these #defines, not the actual
- * index name (much less the numeric OID).
+ * The first two arguments are the index's name and OID.  The third argument
+ * is the name of a #define to generate for its OID.  References to the index
+ * in the C code should always use these #defines, not the actual index name
+ * (much less the numeric OID).  The rest is much like a standard 'create
+ * index' SQL command.
  *
  * The macro definitions are just to keep the C compiler from spitting up.
  */

base-commit: 0bcb3ca3b95b2b94de0b337a73aef333e0346c44
-- 
2.40.1

